import { AnonymousProfileConfig, ProfileConfig, SpecialProfileConfig, UserConfig } from '@iotize/tap/config/schema/v1';
declare type AnyProfileConfig = UserConfig | ProfileConfig | SpecialProfileConfig | AnonymousProfileConfig;
export declare function getProfileIdFromConfig(profile: AnyProfileConfig): number;
/**
 *
 * @param versionToCheck
 * @param versionToCompareTo
 * @returns
 *   1 if versionToCheck > versionToCompareTo
 *   0 if versionToCheck == versionToCompareTo
 *   -1 if versionToCheck < versionToCompareTo
 */
export declare function compareVersionNumbers(versionToCheck: string, versionToCompareTo: string): number;
/**
 * Return true if versionToCheck >= versionToCompareTo
 * @param versionToCheck version to check
 * @param versionToCompareTo version to compare to
 * @returns versionToCheck >= versionToCompareTo
 */
export declare function isTapFirmwareVersionGreaterThanOrEqual(versionToCheck: string, versionToCompareTo: string): boolean;
/**
 * Return true if versionToCheck <= versionToCompareTo
 * @param versionToCheck
 * @param versionToCompareTo
 * @returns versionToCheck <= versionToCompareTo
 */
export declare function isTapFirmwareVersionLessThanOrEqual(versionToCheck: string, versionToCompareTo: string): boolean;
export declare function enumKeyToEnumValue<T>(value: keyof T, enumMapping: any): T;
export declare function enumKeysToEnumValues<T>(values: (keyof T)[], enumMapping: any): T[];
/**
 * Convert
 */
export declare function toEnum<T>(value: string, enumMapping: any): T;
export declare function enumToString<T>(value: T, mapping: any): string;
export declare function isSpecialProfileUsername(username: string): boolean;
export declare function isSpecialProfileId(id: number): boolean;
export declare function configValueToBytes(input: string | number[] | Uint8Array): Uint8Array;
export {};
